Subject: [bug#54974] [PATCH] added btop

From: Maxime Devos <[email-masked]>
Date: Fri, 29 Apr 2022 11:37:25 +0200

Wil deBeest schreef op vr 29-04-2022 om 01:17 [+0200]:
> Hi Maxime,
> 
> > Long term, %outputs, %build-inputs, ... are being phased out, so I'd go
> > with, so I'd go with
> > 
> >    (arguments (list #:make-flags #~(string-append "PREFIX=" #$output)))
> > 
> > here instead.
> 
> I haven't been able to integrate your snippet into the package.   Could you
> show me how to do so or tell me which part of the handbook would be
> relevant?

For a good example, see the 'stress-ng' package definition 'guix edit
stress-ng'.  #:make-flags is documented in the manual (search for
#:make-flags or go to (guix)Build Systems).  #$output is documented in
‘(guix)G-Expressions’.

Very concretely:

  (package
    [...]
    (arguments (list #:tests? #false ; some comment
                     #:make-flags #~(...)
                     #:phases
                     ;; [Stuff for replacing the install phase and
                     ;; removing the configure phase]
                     #~(modify-phases %standard-phases ...))))

Greetings,
Maxime.